Bug 42427 - OTF & PRINTING = Many fonts have bad spacing, overwritten or missing letters while printing (kerning?)
Summary: OTF & PRINTING = Many fonts have bad spacing, overwritten or missing letters ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: x86 (IA32) Linux (All)
: high major
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-31 06:04 UTC by Wouter Van Hemel
Modified: 2016-02-03 12:31 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Scan of LibreOffice print on Xerox WorkCentre 5645 (432.67 KB, image/png)
2011-10-31 06:04 UTC, Wouter Van Hemel
Details
Scan of LibreOffice print on Xerox WorkCentre 7345 (431.79 KB, image/png)
2011-10-31 06:07 UTC, Wouter Van Hemel
Details
Scan of KWord print on Xerox WorkCentre 5645 (438.17 KB, image/png)
2011-10-31 06:08 UTC, Wouter Van Hemel
Details
Scan of Libreoffice print. (5.34 KB, application/pdf)
2011-11-10 00:35 UTC, risto h. kurppa
Details
Scan of KWord/KOffice print (3.28 KB, application/pdf)
2011-11-10 00:36 UTC, risto h. kurppa
Details
Source document with broken fonts (14.23 KB, application/vnd.oasis.opendocument.text)
2011-11-11 09:05 UTC, Wouter Van Hemel
Details
Image to show differences between printing and exporting to pdf (73.71 KB, image/png)
2012-02-07 15:02 UTC, Vincent Van Houtte
Details
Printed the same text in # resolutions (60.27 KB, image/png)
2012-02-11 04:31 UTC, Vincent Van Houtte
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wouter Van Hemel 2011-10-31 06:04:34 UTC
Created attachment 52949 [details]
Scan of LibreOffice print on Xerox WorkCentre 5645

A lot of typefaces – I estimate 20%, including common and widely used fonts – look bad or are even unreadable when printed. The character spacing is atrocious, some letters are printed on top of others and occasionally some even appear to be missing. See attachment.

The fonts look (relatively) good on the screen and when exported to PDF, but the printouts from either the LibreOffice document or the exported PDF document look bad. I don't fully understand what generates the PDF/PS output, but that code seems to misinterpret letter spacing or kerning.

Some fonts by the same foundry and even of the same font family print fine while others don't. I think some of these fonts might have advanced kerning or OpenType features.

When printing with KOffice (KDE/Qt), a few characters are missing or appear as boxes with an X in them, but the letter spacing looks readable.

Printing either the LibreOffice document or the exported PDF (fonts embedded) with Mac OSX looks great, so I assume this is a Linux problem, even though both systems use LibreOffice and CUPS (and the same printers).

This is not a bug in the fonts. Since it happens with pretty common fonts, it is a big problem as it can not easily be avoided.
Comment 1 Wouter Van Hemel 2011-10-31 06:07:43 UTC
Created attachment 52950 [details]
Scan of LibreOffice print on Xerox WorkCentre 7345
Comment 2 Wouter Van Hemel 2011-10-31 06:08:35 UTC
Created attachment 52951 [details]
Scan of KWord print on Xerox WorkCentre 5645
Comment 3 Rainer Bielefeld Retired 2011-11-09 22:35:22 UTC
@Wouter Van Hemel
Please attach your sample document
Comment 4 risto h. kurppa 2011-11-10 00:31:45 UTC
I'd think I've bumped to the same issue on LibreOffice 3.4  340m1(Build:302)
(Kubuntu 11.10). 

For example a rtf document I received. Opening and printing it with Libreoffice and some letters have been replaced by " (or '' or the umlaut dots of ä). Opened the same file on KOffice, the letters were there (ok, the layout was totally lost but that's another issue ;). I'm also able to print from Kate/text editor and Chromium/Web browser normally. 

Also if I create a PDF document with LibreOffice and open it with Okular / PDF viewer, the letters are missing (although I can see them on screen)

So to me it looks like that there's something weird in the way LO works with fonts.

I've attached two scans for you to compare. Same RTF (created with MSOffice, I guess) printed with LibreOffice and KWord/Koffice.
Comment 5 risto h. kurppa 2011-11-10 00:35:35 UTC
Created attachment 53363 [details]
Scan of Libreoffice print.

All non-capital s, i, n, g, y, o letters are missing. Capital ones work.
Comment 6 risto h. kurppa 2011-11-10 00:36:44 UTC
Created attachment 53364 [details]
Scan of KWord/KOffice print

All letters are shown correctly. OK, the layout is totally lost&broken but that's not the point :)
Comment 7 risto h. kurppa 2011-11-10 01:03:22 UTC
I did some more testing.

1) Creating a new document with LO, printing -> OK
2) Opening an existing document, printing -> missing letters
3) Opening the same document in KOffice, printing -> OK
4) Opening an existing document, adding new text, printing -> old text misses letters, new doesn't
5) Opening an existing document, exporting as PDF, printing -> Missing letters
6) Opening an existing document, adding text, saving, closing, re-opening, printing -> old text misses letters, new doesn't

7) I created a document (abcdefghijklmnopqrstuvwxyzåäö) with KOffice and saved it as ODT. Opened in LibreOffice and printed, all letters j-o missing.

I first thought it has something to do in how LO opens documents created with MS Office because my sample cases have been RTF and another one that originally has been a .doc but that I've saved as .odt at some point. But 7) confirms that it's something else.
Comment 8 Wouter Van Hemel 2011-11-11 09:05:34 UTC
Created attachment 53412 [details]
Source document with broken fonts
Comment 9 Bret Moore 2011-11-21 08:02:35 UTC
Hi, I can confirm this bug appeared for me today as well. I upgraded to Ubuntu 11.10 last week, and everything was fine until this morning (there was an update to my desktop machine which hosts the printer; unsure if that caused the problem). I can confirm that printing is totally fine from PDF, but directly from LibreOffice I have the exact problem with letter spacing / kerning being all wonky, stuff printing on top of each other and too far apart. Strange issue.

I use Ubuntu 11.10 on my laptop and desktop, both 64-bit, and the printer is a Brother MFC-7460DN. CUPS seems to like it just fine, test pages look fine and as I said printing from PDF directly is totally fine. This appears to be strictly a LibreOffice issue. FWIW, I'm using a font I purchased (Sabon STD), which is installed to my /home/userID/.fonts directory on both machines.
Comment 10 Vincent Van Houtte 2012-02-07 15:01:39 UTC
I can confirm the bug. I have created a new document from scratch in LibreOffice 3.4.3 (debian stable backports-edition), entirely with the free font called 'Gill Std Light'.

Strangely, the problem occurs only on the second and following pages, which I created a new pagestyle for (but I see no option in the page styling dialogs that could cause this behaviour).

I can also confirm that the problem occurs in the header text (don't know if it's relevant at all, but who knows...). The generated PDF's are perfect both on screen and on paper.
Comment 11 Vincent Van Houtte 2012-02-07 15:02:46 UTC
Created attachment 56730 [details]
Image to show differences between printing and exporting to pdf
Comment 12 Vincent Van Houtte 2012-02-11 04:31:02 UTC
Created attachment 56897 [details]
Printed the same text in # resolutions

Additional scan to complement my earlier scan (which was printed at 600DPI).

I printed the same document in both 300DPI and 1200DPI to see if this would matter. At first I thought the problem has nearly disappeared in 300DPI-mode, but there are still a lot of problems.

Next step: trying other fonts.
Comment 13 Vincent Van Houtte 2012-02-11 05:23:36 UTC
So I've done some testing, and these are the results:

1. This must be OTF-related. I have used 4 TTF-fonts and even 1 PS-font and neither one of them had any kerning-problems. I also tested the fonts 'linux biolinum' (TTF) vs 'linux biolinum O' (OTF). On screen they are both the same, but in print the results of the OTF-font are abominable.

2. I have also tested the same text inside a completely new document and the problems were also visible on the first page, whereas in my letter-template, the first page is printed perfectly with an OTF-font, but subsequent pages (with a different page style) are not.

Conclusion: OTF-support in Libreoffice 3.4.3 (340m1 build 302) is broken and utterly unusable (according to another comment this is linux-only).
Comment 14 Vincent Van Houtte 2012-02-13 11:56:50 UTC
New relevant information: I managed to get the document with the original OTF-font to print almost perfectly.

In printer settings > Device I set 'printer language' to PostScript (from driver) instead of 'PDF'.

Result: the kerning is perfect - fonts are printed very crisp, except that things in bold are not printed in bold, but regular and I can see 1 line where there is a 'glitch': it looks like someone has taken a white textmarker and has made some characters disappear.

Making the PS-file also takes a lot longer (three pages took ~10s) and 100% CPU
Comment 15 rich 2013-04-30 15:01:38 UTC
(In reply to comment #14)
> In printer settings > Device I set 'printer language' to PostScript (from
> driver) instead of 'PDF'.

This is the solution I found, too.

Nb. LibreOffice 4.0.0.something seemed to fix this problem, but it's exhibiting again in LibreOffice 4.0.0.3
Comment 16 QA Administrators 2015-12-20 16:01:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-12-20
Comment 17 bugzillolo 2015-12-27 19:38:11 UTC
Bug present again... :-(
Libreroffice 5.0.4 on windows10 and windows xp.

If I write something and change spacing between letters in one or more words when I print the document many letters of those words are one over others...
Comment 18 Piotr 2016-02-03 12:31:06 UTC
Confirmed.
In previous 4.x did not existed on Win XP, 8 and 8.1 x64.
Now it is on 5.x on Win 8.1 x64 and Win XP.
Looks like a cute downgrade. Again.